baseURL = ""
languageCode = "en-us"
title = "Becoming Magazine"
relativeurls = true
disableKinds = ["RSS", "sitemap"]

[taxonomies]
keyword = "keywords"

[params]
description = "Some description should land here..."
images = ["/favicon.png"]
favicon_png = "/favicon.png"
sandpointsGiteaUrl = "https://git.sandpoints.org/CrossdressingDiogenes/Becoming"
sandpointsCatalogPrefix = "/library/"
sandpointsCatalogName = "becoming"
sandpointsMentionedIn = ["annex", "author", "editor"]

[outputFormats]
[outputFormats.js]
isPlainText = true
mediaType = "application/javascript"

[outputs]
list = ["html", "js"]

[markup]
[markup.tableOfContents]
endLevel=4
ordered = true
startLevel = 1

[markup.goldmark.renderer]
unsafe = true

[module]
#replacements = "git.sandpoints.org/Drawwell/SandpointsTheme -> /home/m/devel/SandpointsTheme"
[[module.imports]]
path = "git.sandpoints.org/Drawwell/SandpointsTheme"

# if only [[module.imports]]'s path is provided
# and repo is made into hugo module (hugo mod init repo_name)
# [[module.imports]]'s path should apply SandpointsTheme
#
# if repo needs some specific customization the rest of the
# mounts below should be added respectively
#
[[module.imports.mounts]]
source = "archetypes"
target = "archetypes"
[[module.imports.mounts]]
source = "assets"
target = "assets"
[[module.imports.mounts]]
source = "data"
target = "data"
[[module.imports.mounts]]
source = "layouts"
target = "layouts"
[[module.imports.mounts]]
source = "static"
target = "static"
[[module.imports.mounts]]
source = "exampleSite/content/metadata/_index.md"
target = "content/metadata/_index.md"
[[module.imports.mounts]]
source = "customizations/Dotawo/static/fonts"
target = "static/fonts"
[[module.imports.mounts]]
source = "customizations/Dotawo/assets/css/site.css"
target = "assets/css/site.css"
[[module.imports.mounts]]
source = "customizations/Dotawo/static/css/site.min.css"
target = "static/css/site.min.css"
[[module.imports.mounts]]
source = "customizations/Dotawo/static/css/dyn.css"
target = "static/css/dyn.css"
[[module.imports.mounts]]
source = "customizations/Dotawo/layouts/partials/header.html"
target = "layouts/partials/header.html"
[[module.imports.mounts]]
source = "customizations/Dotawo/layouts/partials/singlebody.html"
target = "layouts/partials/singlebody.html"
[[module.imports.mounts]]
source = "customizations/Dotawo/layouts/_default/_markup/render-image.html"
target = "layouts/_default/_markup/render-image.html"
[[module.imports.mounts]]
source = "customizations/Dotawo/layouts/_default/_markup/render-link.html"
target = "layouts/_default/_markup/render-link.html"
